#include <iostream>
using namespace std;

int main() {
    int N, L;
    cin>>N>>L;

    for(int i=1;i<=N;++i) 
    {
        int Hi;
        cin>>Hi;

        if(Hi<=L) 
        {
            cout<<i<<endl;
            return 0;
        }
    }
    
    cout<<-1<<endl;
    return 0;
}